<!--
title: Operatoren
description: Folien für Operatoren in Programmieren 1
url: https://git.haw-hamburg.de/pm1-tutorium/slides
header: Programmieren 1 **Tutorium**
footer: Henri Burau und Eva Meinen
-->

# Operatoren
Eva Meinen und Henri Burau

---

## Vorzeichen

`+`, `-`

## Arithmetische Operationen

`+` Addieren, `-` Subtrahieren 
`*` Multiplizieren, `/` Dividieren
`%` Modulo mit Rest 


```java
int a = +3 + 3; //a enhält den Wert 6
int rest = 57 % 5; //rest enthält den Wert 2
```

--- 

## Präfix und Postfix Operatoren
`++` und `--`


```java
int a = 3;
a++;  //a enthält den Wert 4
```

`+=`, `-=`, `*=`, `/=`, `%=`

```java
int b = 4;
b *= 5;  //b enthält den Wert 20
```

---

## Logische Operatoren: 
`!` nicht, `&&` und, `||` oder 


```java
boolean swichtsAOn = true;
boolean swichtsBOn = false;
boolean lightOn = swichtAOn || swichtBOn; // lightOn enhält true
boolean one = !false; //one enthält true
```

---

## Vergleiche 
`<` kleiner, `<=` kleiner gleich
`>` größer, `>=` größer gleich
`==` gleich, `!=` nicht gleich

```java
int one = 50;
int two = 23;
boolean oneLarger = one > two; //oneLarger enthält true
```
**Achtung:** `==` prüft und `=` weist zu 

---

## Aufgaben


1) ```java
   boolean result = true && false || !(false || true); //Welchen Wert hat result?
   ```
2) ```java
   int two = +3 -6; //Welchen Wert hat two?
   ```
3) ```java
   int x = 0;
    x += 3; 
    x =+ 5; //Welchen Wert hat x?
   ```
4) ```java
   int a = 3; 
   int b = ++a - 1; 
   int c = a++ * 6; //Welchen Wert haben a, b und c?
   ```

